#include <string.h>
#include <stdio.h>
#include <stdlib.h>

typedef struct maillonDept
{
    char departement[30];
    int nbP;
    char resp[30];
    struct maillonDept *suiv;
} MaillonDept, *ListeDept;

typedef struct
{
    char ville[30];
    ListeDept ldept;
} VilleIUT;

ListeDept listenouv(void);
ListeDept insererEnTete(ListeDept l, char departement[], int nbP, char resp[]);
ListeDept inserer(ListeDept l, char departement[], int nbP, char resp[]);
void afficher(ListeDept l);
bool vide(ListeDept l);
void afficherDept(ListeDept l);
int rechercheDept(ListeDept l, char departement[], bool *trouve);
ListeDept supprimerEnTete(ListeDept l);
ListeDept supprimer(ListeDept l, char departement[]);

int getNbP(ListeDept l, int pos);
void setNbP(ListeDept l, int pos, int valeur);
char* getResp(ListeDept l, int pos);
void setResp(ListeDept l, int pos, char valeur[]);
char* getDept(ListeDept l, int pos);
void setResp(ListeDept l, int pos, char valeur[]);